Support


Reminder: Please ensure that your unit is running the latest software.

Search Support Center:
 Can I update to the RoadMate app v2.0 if I have an iPhone 3G or iPod touch 2nd generation?
Article iPhone 3G and iPod touch 2nd generation are no longer supported on the latest version 2.0 RoadMate app. Users must upgrade to iOS 4.0 to use that app.

Article Details
Total Views:1650
Created On: 06 Jun 2011 11:56 PM

 This article was helpful  This article was not helpful

 Back
Kayako Skin by SupportSkins.com